<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ipc__sema" kind="group">
    <compoundname>group_ipc_sema</compoundname>
    <title>IPC semaphores layer (IPC_SEMA)</title>
    <innergroup refid="group__group__ipc__sema__macros">Macros</innergroup>
    <innergroup refid="group__group__ipc__sema__functions">Functions</innergroup>
    <innergroup refid="group__group__ipc__sema__enums">Enumerated Types</innergroup>
    <briefdescription>
<para>The semaphores layer functions made use of a single IPC channel to allow multiple semaphores that can be used by system or user function calls. </para>    </briefdescription>
    <detaileddescription>
<para>Include cy_ipc_sema.h. Alternatively include cy_pdl.h to get access to all functions and declarations in the PDL.</para><para>By default there are 128 semaphores provided, although the user may modify the default value to any number, limited only by SRAM. </para>    </detaileddescription>
  </compounddef>
</doxygen>